/******************************************************************************
 *
 * diskio.h - NTFS partition I/O. Part of the DirTools project.
 *
 * $Revision: 1.2 $
 *
 * Copyright (c) 2001-2004 Olivier Castan
 *
 * This program/include file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program/include file is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (in the main directory of the Linux-NTFS
 * distribution in the file COPYING); if not, write to the Free Software
 * Foundation,Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * format : indent -br -ce -cdw -nut -i5
 *
 *****************************************************************************/

#ifndef _DISKIO_H_
#define _DISKIO_H_ 1

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#ifdef _WIN32
#include <windows.h>
#else
#include "wincompat.h"
#endif /* _WIN32 */

#include "structure.h"

extern FILE *FIoDebug;
extern int BIoDump;

int ReleaseStreamBuffer (PNTFS_ATTRIBUTE, unsigned char *);
unsigned char *GetStreamBuffer (PNTFS_MFT_ENTRY, PNTFS_ATTRIBUTE, uint64_t *);
int ReadStreamBytes (PNTFS_VOL_INFO, PNTFS_ATTRIBUTE,
                     uint64_t, uint64_t *, unsigned char *);
int ProcessStream (PNTFS_MFT_ENTRY, PNTFS_ATTRIBUTE, void (*)(), void *);
PNTFS_ATTRIBUTE FindAttribute (PNTFS_MFT_ENTRY, uint32_t, wchar_t *);
int CleanEntry (PNTFS_MFT_ENTRY);
int FreeEntry (PNTFS_MFT_ENTRY);
int ReadEntry (PNTFS_MFT_ENTRY, uint64_t, int);
int InitEntry (PNTFS_VOL_INFO, PNTFS_MFT_ENTRY *, uint64_t, int);
int CloseVolume (PNTFS_VOL_INFO);
int OpenVolume (PNTFS_VOL_INFO);

#endif /* _DISKIO_H_ */
