/******************************************************************************
 *
 * comment.h - NTFS file attributes comments. Part of the DirTools project.
 *
 * $Revision: 1.1.1.1 $
 *
 * Copyright (c) 2001-2004 Olivier Castan
 *
 * This program/include file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program/include file is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (in the main directory of the Linux-NTFS
 * distribution in the file COPYING); if not, write to the Free Software
 * Foundation,Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * format : indent -br -ce -cdw -nut -i5
 *
 *****************************************************************************/

#ifndef _STRUCT_COMMENT_H_
#define _STRUCT_COMMENT_H_ 1

#ifdef _WIN32
#include <windows.h>
#else /* _WIN32 */
#include "wincompat.h"
#endif /* _WIN32 */

/* structure for comments bitmasks */

typedef struct _TYPE_COMMENT_BITS
{
     uint32_t dwBits;           /* Mask */
     const char *pComment[2];   /* Corresponding comments */
} TYPE_COMMENT_BITS;

void DumpBits (FILE *, uint32_t, TYPE_COMMENT_BITS *, int);

#endif /*  _STRUCT_COMMENT_H_ */
